Index: VideoThumbCreator.cs
===================================================================
--- VideoThumbCreator.cs	(revision 28246)
+++ VideoThumbCreator.cs	(working copy)
@@ -33,7 +33,7 @@
 {
   public class VideoThumbCreator
   {
-    private static string ExtractApp = "mtn.exe";
+    private static string ExtractApp = "ffmpeg.exe";
     private static string ExtractorPath = Config.GetFile(Config.Dir.Base, "MovieThumbnailer", ExtractApp);
     private static int PreviewColumns = 2;
     private static int PreviewRows = 2;
@@ -112,7 +112,7 @@
       // Params for mplayer (outputs 00000001.jpg in video resolution into working dir) -vf scale=600:-3
       //string ExtractorArgs = string.Format(" -noconsolecontrols -nosound -vo jpeg:quality=90 -vf scale -frames 1 -ss {0} \"{1}\"", "501", aVideoPath);
 
-      // Params for mtm (http://moviethumbnail.sourceforge.net/usage.en.html)
+      // Params for mtn (http://moviethumbnail.sourceforge.net/usage.en.html)
       //   -D 8         : edge detection; 0:off >0:on; higher detects more; try -D4 -D6 or -D8
       //   -B 420/E 600 : omit this seconds from the beginning / ending TODO: use pre- / postrecording values
       //   -c 2 / r 2   : # of column / # of rows
@@ -132,17 +132,11 @@
       int postGapSec = 5;
       if (aOmitCredits)
       {
-        preGapSec = 420;
+        preGapSec = 720;
         postGapSec = 600;
       }
       bool Success = false;
-      string ExtractorArgs = string.Format(" -D 6 -B {0} -E {1} -c {2} -r {3} -b {4} -t -i -w {5} -n -P \"{6}\"",
-                                           preGapSec, postGapSec, PreviewColumns, PreviewRows, blank, 0, aVideoPath);
-      string ExtractorFallbackArgs = string.Format(
-        " -D 8 -B {0} -E {1} -c {2} -r {3} -b {4} -t -i -w {5} -n -P \"{6}\"", 0, 0, PreviewColumns, PreviewRows, blank,
-        0, aVideoPath);
-      // Honour we are using a unix app
-      ExtractorArgs = ExtractorArgs.Replace('\\', '/');
+
       try
       {
         // Use this for the working dir to be on the safe side
@@ -150,16 +144,19 @@
         string OutputThumb = string.Format("{0}_s{1}", Path.ChangeExtension(aVideoPath, null), ".jpg");
         string ShareThumb = OutputThumb.Replace("_s.jpg", ".jpg");
 
+        string ExtractorArgs = string.Format(" -ss {0} -itsoffset -5 -i \"{1}\" -vframes 1 \"{2}\"", preGapSec, aVideoPath, OutputThumb);
+        string ExtractorFallbackArgs = string.Format(" -ss 60 -itsoffset -5 -i \"{1}\" -vframes 1 \"{2}\"", preGapSec, aVideoPath, OutputThumb);
+
         if ((LeaveShareThumb && !Util.Utils.FileExistsInCache(ShareThumb))
             // No thumb in share although it should be there
             || (!LeaveShareThumb && !Util.Utils.FileExistsInCache(aThumbPath)))
           // No thumb cached and no chance to find it in share
         {
-          //Log.Debug("VideoThumbCreator: No thumb in share {0} - trying to create one with arguments: {1}", ShareThumb, ExtractorArgs);
+          Log.Debug("VideoThumbCreator: No thumb in share {0} - trying to create one with arguments: {1}", ShareThumb, ExtractorArgs);
           Success = Utils.StartProcess(ExtractorPath, ExtractorArgs, TempPath, 15000, true, GetMtnConditions());
           if (!Success)
           {
-            // Maybe the pre-gap was too large or not enough sharp & light scenes could be caught
+            // Maybe it takes more than 15 seconds to create the thumbnail, try fallback arguments
             Thread.Sleep(100);
             Success = Utils.StartProcess(ExtractorPath, ExtractorFallbackArgs, TempPath, 30000, true, GetMtnConditions());
             if (!Success)
@@ -172,7 +169,7 @@
           Utils.KillProcess(Path.ChangeExtension(ExtractApp, null));
           try
           {
-            // remove the _s which mdn appends to its files
+            // remove the _s which mtn appends to its files
             File.Move(OutputThumb, ShareThumb);
           }
           catch (FileNotFoundException)
